Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Gerd Möllmann <[email-masked]>
Date: Mon, 29 Aug 2022 17:15:41 +0200

Dmitrii Kuragin <[email-masked]> writes:

> I am having difficulty running a debugger.
>
> I tried gdb and signing, but it didn't work. I also tried lldb, but it doesn't stop on a breakpoint for whatever reason.
>
> I compiled with `-O0 -g3`, then
> ```
> lldb
> (lldb) file nextstep/Emacs.app/Contents/MacOS/Emacs
> Current executable set to '/Users/kuragin/Desktop/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs' (x86_64).
> (lldb) breakpoint set -f scroll.c -l 270
> Breakpoint 1: where = Emacs`do_scrolling + 485 at scroll.c:271:11, address = 0x0000000100032da5
> ```
>
> But, it doesn't stop there...
>
> and I run Emacs like this:
> ```
> arch --x86_64 make configure="CFLAGS='-O0 -g3'" -j 20 && nextstep/Emacs.app/Contents/MacOS/Emacs -nw

I'm afraid I can't help here. because GDB doesn't support my platform.
There is something about using GDB with TTY Emacs in etc/DEBUG though.
Maybe that helps.

LLDB doesn't work for me, neither the one from Apple, nor from LLVM 14.
For some reason, SIGTTOU seems to be behave differently when running
Emacs -nw under LLDB, even when I tell LLDB to not stop or report it.
Or so I think, I'm not an LLDB expert.

Here is what I tried

cd src
lldb emacs
b main
run -Q -nw
process handle -s false -n false SIGTTOU
c

but then Emacs gets stuck.  Maybe it's a bug in LLDB.